package cn.com.countrygarden.bi.main.dao.wcx;

import cn.com.countrygarden.bi.main.dto.ManagerMapOrganTreeDTO;
import org.apache.ibatis.annotations.Param;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.wcx.WcxRegionProjectRel;

import java.util.List;

public interface WcxRegionProjectRelMapper extends Mapper<WcxRegionProjectRel>{
	int updateProjectNameByPropertyProjectName(WcxRegionProjectRel wcxRegionProjectRel);

	WcxRegionProjectRel selectByPropertyProjectName(@Param("propertyProjectName") String propertyProjectName);

	List<String> selectByPropertyCommsName(@Param("commsName") List<String> commsName);

	Integer updatePropertyProjectNameForNull(@Param("projectName")  String projectName);

	List<ManagerMapOrganTreeDTO> selectCommByErpComm(@Param("commsName") List<String> commsName);
}
